<?php

namespace Litecms\OurPorfolio\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OurPortfolioTransformer extends TransformerAbstract
{
    public function transform(\Litecms\OurPorfolio\Models\OurPortfolio $our_portfolio)
    {
        return [
            'id'                => $our_portfolio->getRouteKey(),
            'key'               => [
                'public'    => $our_portfolio->getPublicKey(),
                'route'     => $our_portfolio->getRouteKey(),
            ], 
            'name'              => $our_portfolio->name,
            'description'       => $our_portfolio->description,
            'image'             => $our_portfolio->image,
            'url'               => [
                'public'    => trans_url('our_porfolio/'.$our_portfolio->getPublicKey()),
                'user'      => guard_url('our_porfolio/our_portfolio/'.$our_portfolio->getRouteKey()),
            ], 
            'status'            => trans('app.'.$our_portfolio->status),
            'created_at'        => format_date($our_portfolio->created_at),
            'updated_at'        => format_date($our_portfolio->updated_at),
        ];
    }
}